using UnityEngine; 

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cigarette",
                    DescriptionOverride = "Note: This item does not encourage or force smoking. Smoking is harmful to health.",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("M.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("texture/cigar.png");
						

						var childObject = new GameObject("eye");
						childObject.transform.SetParent(Instance.transform);
						childObject.transform.localPosition = new Vector3(0f, 0f);
						childObject.transform.localScale = new Vector3(1f, 1f);
						var childSprite = childObject.AddComponent<SpriteRenderer>();
						childSprite.sprite = ModAPI.LoadSprite("texture/cigarlight.png");
						childSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
						childObject.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";

						childSprite.color = new Color(1f, 1f, 0f, 0.5f);
						


						Instance.FixColliders();

                    }
                } 
            );
		}
	}
}